<?php

function wfmtest_add_admin_page() {
	$hook_suffix = add_menu_page( 'WFM Theme Options', 'WFMTheme', 'manage_options', 'wfmtest-options', 'wfmtest_create_page', get_template_directory_uri() . '/assets/img/moon.png' );

	add_submenu_page( 'wfmtest-options', 'WFM Theme Options', 'Общие', 'manage_options', 'wfmtest-options', 'wfmtest_create_page' );

	add_submenu_page( 'wfmtest-options', 'WFM Theme Options Subpage', 'Дополнительные', 'manage_options', 'wfmtest-options-subpage', 'wfmtest_create_subpage' );

	add_action( "admin_print_scripts-{$hook_suffix}", "wfmtest_admin_scripts" );
	add_action( 'admin_init', 'wfmtest_custom_settings' );
}

add_action( 'admin_menu', 'wfmtest_add_admin_page' );

function wfmtest_custom_settings() {
    register_setting( 'wfmtest_general_group', 'wfmtest_email' );

    add_settings_section( 'wfmtest_general_section', 'Секция опций', function () {
        echo '<p>Текст, описывающий блок настроек</p>';
    }, 'wfmtest-options' );

    add_settings_field( 'wfmtest_email_field', 'E-mail', 'wfmtest_general_email_field', 'wfmtest-options', 'wfmtest_general_section', array( 'label_for' => 'wfmtest_email_field' ) );
}

function wfmtest_general_email_field() {
    echo '<input type="email" name="wfmtest_email" class="regular-text" id="wfmtest_email_field">';
}

function wfmtest_create_page() {
	require get_template_directory() . '/inc/templates/wfmtest-options.php';
}

function wfmtest_create_subpage() {
	require get_template_directory() . '/inc/templates/wfmtest-options-subpage.php';
}

function wfmtest_admin_scripts() {
    wp_enqueue_style( 'wfmtest-admin-main-style', get_template_directory_uri() . '/assets/css/admin-main.css' );
}


